> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# call 종료



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /call/end
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /call/end:
    post:
      tags:
        - Calls
      summary: call 종료
      operationId: call_end_call_end_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallEndReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallEndRes'
          description: 성공적인 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    CallEndReq:
      additionalProperties: false
      properties:
        end:
          $ref: '#/components/schemas/EndedCallSchemaForInsert'
      required:
        - end
      title: CallEndReq
      type: object
    CallEndRes:
      properties: {}
      title: CallEndRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EndedCallSchemaForInsert:
      properties:
        ended_at:
          format: date-time
          title: Ended At
          type: string
        exception:
          anyOf:
            - type: string
            - type: 'null'
          title: Exception
        id:
          title: Id
          type: string
        output:
          anyOf:
            - {}
            - type: 'null'
          title: Output
        project_id:
          title: Project Id
          type: string
        started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Started At
        summary:
          $ref: '#/components/schemas/SummaryInsertMap'
        wb_run_step_end:
          anyOf:
            - type: integer
            - type: 'null'
          title: Wb Run Step End
      required:
        - project_id
        - id
        - ended_at
        - summary
      title: EndedCallSchemaForInsert
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SummaryInsertMap:
      additionalProperties: true
      properties:
        status_counts:
          additionalProperties:
            type: integer
          propertyNames:
            $ref: '#/components/schemas/TraceStatus'
          title: Status Counts
          type: object
        usage:
          additionalProperties:
            $ref: '#/components/schemas/LLMUsageSchema'
          title: Usage
          type: object
      title: SummaryInsertMap
      type: object
    LLMUsageSchema:
      additionalProperties: true
      properties:
        cache_creation_input_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cache Creation Input Tokens
        cache_read_input_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cache Read Input Tokens
        completion_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completion Tokens
        input_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Input Tokens
        output_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Output Tokens
        prompt_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Prompt Tokens
        requests:
          anyOf:
            - type: integer
            - type: 'null'
          title: Requests
        total_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Tokens
      title: LLMUsageSchema
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````